# -*- coding: utf-8 -*-

DATA_SET = [
    # grid table
    (
        [u"+--------+-------+--------+",
         u"| fruit  | shape | color  |",
         u"+========+=======+========+",
         u"| apple  | round | red    |",
         u"+--------+-------+--------+",
         u"| banana | long  | yellow |",
         u"+--------+-------+--------+"],

        [u"+--------+-------+--------+\n",
         u"| fruit  | shape | color  |\n",
         u"+========+=======+========+\n",
         u"| apple  | round | red    |\n",
         u"+--------+-------+--------+\n",
         u"| banana | long  | yellow |\n",
         u"+--------+-------+--------+\n"]
    ),
    (
        [u"  +--------+-------+--------+",
         u"  | fruit  | shape | color  |",
         u"  +========+=======+========+",
         u"  | apple  | round | red    |",
         u"  +--------+-------+--------+",
         u"  | banana | long  | yellow |",
         u"  +--------+-------+--------+"],

        [u"  +--------+-------+--------+\n",
         u"  | fruit  | shape | color  |\n",
         u"  +========+=======+========+\n",
         u"  | apple  | round | red    |\n",
         u"  +--------+-------+--------+\n",
         u"  | banana | long  | yellow |\n",
         u"  +--------+-------+--------+\n"],
    ),
    (
        [u"+----------+----------+----------+",
         u"| fruit    | shape    | color    |",
         u"| (header) | (header) | (header) |",
         u"+==========+==========+==========+",
         u"| apple    | round    | red      |",
         u"+----------+----------+----------+",
         u"| banana   | long     | yellow   |",
         u"+----------+----------+----------+",
         u"| mikan    | round    | orange   |",
         u"| orange   |          |          |",
         u"+----------+----------+----------+"],

        [u"+----------+----------+----------+\n",
         u"| fruit    | shape    | color    |\n",
         u"| (header) | (header) | (header) |\n",
         u"+==========+==========+==========+\n",
         u"| apple    | round    | red      |\n",
         u"+----------+----------+----------+\n",
         u"| banana   | long     | yellow   |\n",
         u"+----------+----------+----------+\n",
         u"| mikan    | round    | orange   |\n",
         u"| orange   |          |          |\n",
         u"+----------+----------+----------+\n"],
    ),
    (
        [u"  +----------+----------+----------+",
         u"  | fruit    | shape    | color    |",
         u"  | (header) | (header) | (header) |",
         u"  +==========+==========+==========+",
         u"  | apple    | round    | red      |",
         u"  +----------+----------+----------+",
         u"  | banana   | long     | yellow   |",
         u"  +----------+----------+----------+",
         u"  | mikan    | round    | orange   |",
         u"  | orange   |          |          |",
         u"  +----------+----------+----------+"],

        [u"  +----------+----------+----------+\n",
         u"  | fruit    | shape    | color    |\n",
         u"  | (header) | (header) | (header) |\n",
         u"  +==========+==========+==========+\n",
         u"  | apple    | round    | red      |\n",
         u"  +----------+----------+----------+\n",
         u"  | banana   | long     | yellow   |\n",
         u"  +----------+----------+----------+\n",
         u"  | mikan    | round    | orange   |\n",
         u"  | orange   |          |          |\n",
         u"  +----------+----------+----------+\n"],
    ),
    (
        [u"+--------+",
         u"| fruit  |",
         u"+========+",
         u"| apple  |",
         u"+--------+",
         u"| banana |",
         u"+--------+"],

        [u"+--------+\n",
         u"| fruit  |\n",
         u"+========+\n",
         u"| apple  |\n",
         u"+--------+\n",
         u"| banana |\n",
         u"+--------+\n"]
    ),
    (
        [u"  +--------+",
         u"  | fruit  |",
         u"  +========+",
         u"  | apple  |",
         u"  +--------+",
         u"  | banana |",
         u"  +--------+"],

        [u"  +--------+\n",
         u"  | fruit  |\n",
         u"  +========+\n",
         u"  | apple  |\n",
         u"  +--------+\n",
         u"  | banana |\n",
         u"  +--------+\n"]
    ),
    (
        [u"+----------+-------+----------+",
         u"| fruit    | shape | color    |",
         u"+==========+=======+==========+",
         u"| apple    | round | red      |",
         u"+----------+-------+----------+",
         u"| banana   | long  | yellow   |",
         u"+----------+-------+----------+"],

        [u"+--------+-------+--------+\n",
         u"| fruit  | shape | color  |\n",
         u"+========+=======+========+\n",
         u"| apple  | round | red    |\n",
         u"+--------+-------+--------+\n",
         u"| banana | long  | yellow |\n",
         u"+--------+-------+--------+\n"],
    ),
    (
        [u"  +----------+-------+----------+",
         u"  | fruit    | shape | color    |",
         u"  +==========+=======+==========+",
         u"  | apple    | round | red      |",
         u"  +----------+-------+----------+",
         u"  | banana   | long  | yellow   |",
         u"  +----------+-------+----------+"],

        [u"  +--------+-------+--------+\n",
         u"  | fruit  | shape | color  |\n",
         u"  +========+=======+========+\n",
         u"  | apple  | round | red    |\n",
         u"  +--------+-------+--------+\n",
         u"  | banana | long  | yellow |\n",
         u"  +--------+-------+--------+\n"],
    ),

    # simple table
    (
        [u"======  =====  ======",
         u"fruit   shape  color",
         u"======  =====  ======",
         u"apple   round  red",
         u"banana  long   yellow",
         u"======  =====  ======"],

        [u"======  =====  ======\n",
         u"fruit   shape  color \n",
         u"======  =====  ======\n",
         u"apple   round  red   \n",
         u"banana  long   yellow\n",
         u"======  =====  ======\n"]
    ),
    (
        [u"  ======  =====  ======",
         u"  fruit   shape  color",
         u"  ======  =====  ======",
         u"  apple   round  red",
         u"  banana  long   yellow",
         u"  ======  =====  ======"],

        [u"  ======  =====  ======\n",
         u"  fruit   shape  color \n",
         u"  ======  =====  ======\n",
         u"  apple   round  red   \n",
         u"  banana  long   yellow\n",
         u"  ======  =====  ======\n"]
    ),
    (
        [u"========  ========  ========",
         u"fruit     shape     color",
         u"(header)  (header)  (header)",
         u"========  ========  ========",
         u"apple     round     red",
         u"banana    long      yellow",
         u"========  ========  ========"],

        [u"========  ========  ========\n",
         u"fruit     shape     color   \n",
         u"(header)  (header)  (header)\n",
         u"========  ========  ========\n",
         u"apple     round     red     \n",
         u"banana    long      yellow  \n",
         u"========  ========  ========\n"],
    ),
    (
        [u"  ========  ========  ========",
         u"  fruit     shape     color",
         u"  (header)  (header)  (header)",
         u"  ========  ========  ========",
         u"  apple     round     red",
         u"  banana    long      yellow",
         u"  ========  ========  ========"],

        [u"  ========  ========  ========\n",
         u"  fruit     shape     color   \n",
         u"  (header)  (header)  (header)\n",
         u"  ========  ========  ========\n",
         u"  apple     round     red     \n",
         u"  banana    long      yellow  \n",
         u"  ========  ========  ========\n"],
    ),
    (
        [u"========  =====  =======",
         u"fruit     shape  color",
         u"========  =====  =======",
         u"apple     round  red",
         u"banana    long   yellow",
         u"========  =====  ========"],

        [u"======  =====  ======\n",
         u"fruit   shape  color \n",
         u"======  =====  ======\n",
         u"apple   round  red   \n",
         u"banana  long   yellow\n",
         u"======  =====  ======\n"]
    ),
    (
        [u"  ========  =====  =======",
         u"  fruit     shape  color",
         u"  ========  =====  =======",
         u"  apple     round  red",
         u"  banana    long   yellow",
         u"  ========  =====  ========"],

        [u"  ======  =====  ======\n",
         u"  fruit   shape  color \n",
         u"  ======  =====  ======\n",
         u"  apple   round  red   \n",
         u"  banana  long   yellow\n",
         u"  ======  =====  ======\n"]
    ),
]
